Bug 245501 - [exp-run] Request for v4l-utils update
Summary: [exp-run] Request for v4l-utils update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Port Management Team
URL: https://reviews.freebsd.org/D24355
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-10 11:25 UTC by Hans Petter Selasky
Modified: 2020-04-17 14:08 UTC (History)
4 users (show)

See Also:
hselasky: exp-run?


Attachments
Ports patch (79.63 KB, patch)
2020-04-10 11:25 UTC, Hans Petter Selasky
no flags Details | Diff
Ports patch (80.67 KB, patch)
2020-04-11 11:10 UTC, Hans Petter Selasky
no flags Details | Diff
Ports patch (86.95 KB, patch)
2020-04-14 21:34 UTC, Hans Petter Selasky
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hans Petter Selasky freebsd_committer 2020-04-10 11:25:18 UTC
Created attachment 213244 [details]
Ports patch
Comment 1 Antoine Brodin freebsd_committer 2020-04-10 20:33:45 UTC
There is a problem with libv4l plist:


===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: share/locale/ca/LC_MESSAGES/libdvbv5.mo
Error: Orphaned: share/locale/ca/LC_MESSAGES/v4l-utils.mo
Error: Orphaned: share/locale/de/LC_MESSAGES/libdvbv5.mo
Error: Orphaned: share/locale/de/LC_MESSAGES/v4l-utils.mo
Error: Orphaned: share/locale/fr/LC_MESSAGES/v4l-utils.mo
Error: Orphaned: share/locale/pt_BR/LC_MESSAGES/libdvbv5.mo
Error: Orphaned: share/locale/pt_BR/LC_MESSAGES/v4l-utils.mo
Error: Orphaned: share/locale/uk/LC_MESSAGES/libdvbv5.mo
Error: Orphaned: share/locale/uk/LC_MESSAGES/v4l-utils.mo
Comment 2 Antoine Brodin freebsd_committer 2020-04-11 07:53:31 UTC
More problems:

v4l_compat-1.18.0 conflicts with evdev-proto-5.3 (installs files into the same place).  Problematic file: /usr/local/include/linux/input.h

several ports depending on v4l fail to build too
Comment 3 Hans Petter Selasky freebsd_committer 2020-04-11 07:58:08 UTC
Do you have a link to the build failures?
Comment 5 Hans Petter Selasky freebsd_committer 2020-04-11 10:22:33 UTC
Thank you!

I will update the the patch to fix those issues.

--HPS
Comment 6 Hans Petter Selasky freebsd_committer 2020-04-11 11:10:46 UTC
Created attachment 213278 [details]
Ports patch

Updated patch. Please re-run.
Comment 9 Bernhard Froehlich freebsd_committer 2020-04-14 19:51:03 UTC
I will have a look at fixing dvb-apps.
Comment 10 Hans Petter Selasky freebsd_committer 2020-04-14 21:34:31 UTC
Created attachment 213396 [details]
Ports patch

Please re-run.

v4l-utils breakage is due to some patch issue. Works from my SVN tree and can be ignored. dvb-apps will be fixed also and can be ignored.

Thank you!

--HPS
Comment 11 Hans Petter Selasky freebsd_committer 2020-04-14 21:35:43 UTC
decke@ : Please fix dvb-apps prior to my commit of this patch!
Comment 12 commit-hook freebsd_committer 2020-04-15 18:54:52 UTC
A commit references this bug:

Author: decke
Date: Wed Apr 15 18:54:25 UTC 2020
New revision: 531779
URL: https://svnweb.freebsd.org/changeset/ports/531779

Log:
  multimedia/dvb-apps: Remove references to CA_SET_PID syscall which was
  deleted in Linux Kernel 4.14. This fixes a build issue with the upcoming
  v4l 1.18.0 update.

  PR:		245501
  Obtained from:	https://gitweb.gentoo.org/repo/gentoo.git/commit/media-tv/linuxtv-dvb-apps/?id=ed58fb83ffaf70423a83866a738978cc273f877b

Changes:
  head/multimedia/dvb-apps/Makefile
  head/multimedia/dvb-apps/files/patch-include_ca.h
  head/multimedia/dvb-apps/files/patch-util_dst-utils_dst_test.c
Comment 13 Hans Petter Selasky freebsd_committer 2020-04-16 09:59:40 UTC
antoine@: There appears to be bug in sed:

Can you get the output from:

printf "#define MEDIA_BUS_FMT_SRGGB16_1X16\t\t\t0x3020\n" | sed -e 's/.*FMT_//; s/\t.*//; s/.*/{ \"&\", MEDIA_BUS_FMT_& },/;'

From the different build environments.

--HPS
Comment 14 Antoine Brodin freebsd_committer 2020-04-16 10:49:48 UTC
(In reply to Hans Petter Selasky from comment #13)

On head:

{ "SRGGB16_1X16", MEDIA_BUS_FMT_SRGGB16_1X16 },

On 12.1:

{ "SRGGB16_1X16                 0x3020", MEDIA_BUS_FMT_SRGGB16_1X16                     0x3020 },

On 11.3:

{ "SRGGB16_1X16                 0x3020", MEDIA_BUS_FMT_SRGGB16_1X16                     0x3020 },
Comment 15 Hans Petter Selasky freebsd_committer 2020-04-16 11:13:03 UTC
Kyle: Can you look into the findings above, if we should packport some patches for regex?
Comment 16 Kyle Evans freebsd_committer 2020-04-16 11:44:47 UTC
Hans,

I only recently taught sed(1) to treat \r, \n, and \t sanely because it hasn't in years, apparently. It's been MFC'd already, but you'll need to switch to GNU sed from ports for now and I'll reevaluate it later down the road, as I intend to do with all ports that have or will be gaining a dependency on gnused/gnugrep from ports.
Comment 17 Hans Petter Selasky freebsd_committer 2020-04-16 12:08:40 UTC
I'll update my port to use gsed for now.

Thank you!

--HPS
Comment 18 commit-hook freebsd_committer 2020-04-17 08:35:51 UTC
A commit references this bug:

Author: hselasky
Date: Fri Apr 17 08:34:54 UTC 2020
New revision: 531911
URL: https://svnweb.freebsd.org/changeset/ports/531911

Log:
  Upgrade v4l_compat, libv4l and v4l-utils to v1.18.0.

  The most important change is that up-to-date V4L header files are now
  sourced from the webcamd distribution tarball.

  Refer to the ChangeLog file in the v4l-utils tarball for a comprehensive
  list of changes.

  PR:		245501
  Approved by:	pi (implicit)

Changes:
  head/multimedia/libv4l/Makefile
  head/multimedia/libv4l/distinfo
  head/multimedia/libv4l/files/extra-linux_dvb_ca.h
  head/multimedia/libv4l/files/extra-linux_dvb_osd.h
  head/multimedia/libv4l/files/extra-patch-configure
  head/multimedia/libv4l/files/patch-configure
  head/multimedia/libv4l/files/patch-contrib_freebsd_include_linux_videodev2.h
  head/multimedia/libv4l/files/patch-include_linux_dvb_frontend.h
  head/multimedia/libv4l/files/patch-include_linux_dvb_video.h
  head/multimedia/libv4l/files/patch-lib_Makefile.in
  head/multimedia/libv4l/files/patch-lib_include_libdvbv5_descriptors.h
  head/multimedia/libv4l/files/patch-lib_include_libdvbv5_dvb-frontend.h
  head/multimedia/libv4l/files/patch-lib_libdvbv5_dvb-dev-remote.c
  head/multimedia/libv4l/files/patch-lib_libv4lconvert_control_libv4lcontrol.c
  head/multimedia/libv4l/files/patch-lib_libv4lconvert_jpeg__memsrcdest.h
  head/multimedia/libv4l/files/patch-lib_libv4lconvert_rgbyuv.c
  head/multimedia/libv4l/files/patch-utils_Makefile.in
  head/multimedia/libv4l/files/patch-utils_cec-ctl_msg2ctl.pl
  head/multimedia/libv4l/files/patch-utils_common_ir-encode.c
  head/multimedia/libv4l/files/patch-utils_common_keymap.h
  head/multimedia/libv4l/files/patch-utils_common_v4l2-tpg.h
  head/multimedia/libv4l/files/patch-utils_dvb_dvbv5-daemon.c
  head/multimedia/libv4l/files/patch-utils_ir-ctl_bpf__encoder.c
  head/multimedia/libv4l/files/patch-utils_ir-ctl_ir-ctl.c
  head/multimedia/libv4l/files/patch-utils_media-ctl_media-ctl.c
  head/multimedia/libv4l/files/patch-utils_v4l2-compliance_v4l2-test-buffers.cpp
  head/multimedia/libv4l/files/patch-utils_v4l2-ctl_v4l2-ctl-overlay.cpp
  head/multimedia/libv4l/files/patch-utils_v4l2-ctl_v4l2-ctl.cpp
  head/multimedia/libv4l/files/types.h
_U  head/multimedia/libv4l/files/videodev.h
  head/multimedia/libv4l/pkg-plist
  head/multimedia/v4l-utils/Makefile
  head/multimedia/v4l-utils/pkg-plist
  head/multimedia/v4l_compat/Makefile
  head/multimedia/v4l_compat/pkg-plist
Comment 19 commit-hook freebsd_committer 2020-04-17 08:36:53 UTC
A commit references this bug:

Author: hselasky
Date: Fri Apr 17 08:36:01 UTC 2020
New revision: 531912
URL: https://svnweb.freebsd.org/changeset/ports/531912

Log:
  Fix build after LibV4L upgrade to v1.18.0.

  PR:		245501
  Approved by:	pi (implicit)

Changes:
  head/multimedia/kaffeine/Makefile
  head/multimedia/mythtv/Makefile
  head/multimedia/mythtv/files/patch-libs_libmythtv_videodev2.h
  head/multimedia/w_scan/Makefile
  head/multimedia/w_scan/files/patch-si__types.h
  head/multimedia/w_scan/files/types.sed
Comment 20 Hans Petter Selasky freebsd_committer 2020-04-17 14:08:39 UTC
Upgrade fix when libv4l is already installed.

https://svnweb.freebsd.org/changeset/ports/531931

Thanks everyone for testing.

Hoping the upgrade goes smooth.